Get a player's pitches in a game (v1)
Returns every pitch a player threw (kind=pitching) or faced (kind=hitting) in a baseball game. None returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
id*integer
Event id: the id of any event in a list, such as Get Sports Live Events.
Range
1 <= value <= 10000000000player_id*integer
Player id, from a lineup, a squad or Search Sports.
Range
1 <= value <= 10000000000kind?string
pitching for pitches thrown, hitting for pitches faced.
Default
"pitching"Value in
- "pitching"
- "hitting"
curl -X GET "https://example.com/v1/sofascore/event/player/pitches?id=17192948&player_id=961259" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "property1": null, "property2": null }, "details": { "reason": "string", "message": "string" }}